Subject: Re: [PATCH] Make commit, cherry-pick and revert more silent.

From: Gabriel <[email-masked]>
Date: Mon, 7 Jan 2008 08:55:09 +0000 (UTC)

Le Sun, 06 Jan 2008 14:52:33 -0800, Junio C Hamano a écrit :

> So a more convincing presentation would be:
> ...
Will split.

> After I wrote all that, I realized that the patch is not acceptable as
> is.
> 
> Why?
> 
> This makes a successful cherry-pick way too silent.  With your patch, we
> will see:
> 
>  * "Auto-merged ..." messages that shows what paths are affected
>    by the cherry-pick/revert (which I do not think we would want to
>    squelch),
> 
>  * "Finished one cherry-pick."
> 
> But we will lose the "Created commit ...: <msg>" and "<num> files
> changed..."  summary, neither of which we would want to lose.

I'll have a look.
This seems to require refactoring the interface between cherry-pick/
revert and commit.

> Also sign your patch (see Documentation/SubmittingPatches), please, when
> you try the second round.
> 
> Thanks.

Thanks, I appreciate the review.